import { ICredentialDataDecryptedObject, CredentialInformation, ICredentialsEncrypted, ICredentialNodeAccess } from 'n8n-workflow';
export declare class Credentials implements ICredentialsEncrypted {
    name: string;
    type: string;
    data: string | undefined;
    nodesAccess: ICredentialNodeAccess[];
    constructor(name: string, type: string, nodesAccess: ICredentialNodeAccess[], data?: string);
    hasNodeAccess(nodeType: string): boolean;
    setData(data: ICredentialDataDecryptedObject, encryptionKey: string): void;
    setDataKey(key: string, data: CredentialInformation, encryptionKey: string): void;
    getData(encryptionKey: string, nodeType?: string): ICredentialDataDecryptedObject;
    getDataKey(key: string, encryptionKey: string, nodeType?: string): CredentialInformation;
    getDataToSave(): ICredentialsEncrypted;
}
